const admin = require('firebase-admin');
admin.initializeApp();

const apiService = require('./functions/apiService');
const auth = require('./functions/auth');
const linkedin = require('./functions/linkedin');
const pipeline = require('./functions/pipeline');
const translation = require('./functions/translation');
const loadData = require('./functions/loadData');
const trigger = require('./functions/trigger');
const editVideo = require('./functions/editVideo');
const editComplete = require('./functions/editComplete');
const feedbackEdit = require('./functions/feedbackEdit');
const leaderboard = require('./functions/leaderboard');
const dashboard = require('./functions/dashboard');
const backup = require('./functions/backup');
const forms = require('./functions/forms');
const image = require('./functions/image');
const anonymous = require('./functions/anonymous');
const judging = require('./functions/judging');
const cleanupOpenshotExports = require('./functions/cleanupOpenshotExports');
const restartEdits = require('./functions/restartEdits');

exports.api = apiService.api;
exports.loadUserRoles = auth.loadUserRoles;
exports.checkWhiteList = auth.checkWhitelist;
exports.assignRoles = auth.assignRoles;
exports.updateUserName = auth.updateUserName;
exports.redirect = linkedin.redirect;
exports.redirectToToken = linkedin.redirectToToken;
exports.token = linkedin.token;
exports.pushToAmazonS3 = pipeline.pushToAmazonS3;
exports.awsSns = pipeline.awsSns;
exports.newSubmissionTrigger = translation.newSubmissionTrigger;
exports.onSubmissionModeratedTrigger = translation.onSubmissionModeratedTrigger;
exports.newMediaObjectTrigger = translation.newMediaObjectTrigger;
exports.onTransJobCreatedScheduler = translation.onTransJobCreatedScheduler;
exports.loadTestData = loadData.loadTestData;
exports.updateLangsObject = loadData.updateLangsObject;
exports.loadStaticContent = loadData.loadStaticContent;
exports.exportStaticContent = loadData.exportStaticContent;
exports.validateMediaCount = trigger.validateMediaCount;
exports.onSubmissionStatusTrigger = trigger.onSubmissionStatusTrigger;
exports.onMediaStatusTrigger = trigger.onMediaStatusTrigger;
exports.onLanguageStatusTrigger = trigger.onLanguageStatusTrigger;
exports.onUserRoleConfigUpdate = trigger.onUserRoleConfigUpdate;
exports.resetActiveUserScheduler = trigger.resetActiveUserScheduler;
exports.onYouTubeJobCreatedScheduler = trigger.onYouTubeJobCreatedScheduler;
exports.onCaptionJobCreatedScheduler = trigger.onCaptionJobCreatedScheduler;
exports.updateSubtitleCount = trigger.updateSubtitleCount;
exports.editVideo = editVideo.editVideo;
exports.editComplete = editComplete.editComplete;
exports.updateEditStatus = editComplete.updateEditStatus;
exports.feedbackEdit = feedbackEdit.feedbackEdit;
exports.updateLeaderboard = leaderboard.updateLeaderboard;
exports.adminListSubmissions = dashboard.adminListSubmissions;
exports.scheduledFirestoreExport = backup.scheduledFirestoreExport;
exports.submissions = forms.submissions;
exports.resizeProfileImages = image.resizeProfileImages;
exports.decryptToken = anonymous.decryptToken;
exports.createJudgingAllocation = judging.createJudgingAllocation;
// exports.createJudgingResult = judging.createJudgingResult;
exports.createJudgingResultSheet = judging.createJudgingResultSheet;
exports.newJudgingFeedbackTrigger = judging.newJudgingFeedbackTrigger;
exports.cleanupOpenshotExports = cleanupOpenshotExports.cleanupOpenshotExports;
exports.restartOpenshotEdits = restartEdits.restartSubmissionEdits;
exports.getSubmissionList = judging.getSubmissionList;
